Bug 181009

Summary: NullPointerException at org.openide.util.lookup.InstanceContent$SimpleItem.<init>
Product: projects Reporter: xylifyx <xylifyx>
Component: MavenAssignee: Jesse Glick <jglick>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2 CC: abajja, aldobrucale, athompson, dao, jglick, kidnapper, mjreged, mvy, pjiricka
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard: EXCEPTIONS_REPORT 69patch2-verified
Issue Type: DEFECT Exception Report: 165513
Attachments: stacktrace
stacktrace
stacktrace
stacktrace
stacktrace
stacktrace
stacktrace
stacktrace
stacktrace

Description xylifyx 2010-02-21 08:39:00 UTC
Build: NetBeans IDE Dev (Build 201002152000)
VM: Java HotSpot(TM) 64-Bit Server VM, 14.3-b01-101, Java(TM) SE Runtime Environment, 1.6.0_17-b04-248-9M3125
OS: Mac OS X

User Comments:
xylifyx: Browsing an osgi jar with a pom.xml inside




Stacktrace: 
java.lang.NullPointerException
   at org.openide.util.lookup.InstanceContent$SimpleItem.<init>(InstanceContent.java:195)
   at org.openide.util.lookup.SimpleLookup.<init>(SimpleLookup.java:69)
   at org.openide.util.lookup.Lookups.fixed(Lookups.java:108)
   at org.netbeans.modules.maven.model.Utilities$1.getLookup(Utilities.java:225)
   at org.openide.util.lookup.SimpleProxyLookup.checkLookup(SimpleProxyLookup.java:77)
   at org.openide.util.lookup.SimpleProxyLookup.lookup(SimpleProxyLookup.java:152)
Comment 1 xylifyx 2010-02-21 08:39:09 UTC
Created attachment 94368 [details]
stacktrace
Comment 2 Milos Kleint 2010-02-22 01:03:16 UTC
a lookup impl problem? reassigning for evaluation.
Comment 3 Jaroslav Tulach 2010-03-12 13:20:59 UTC
Not a problem in Lookup. This is the code:

        public SimpleItem(T obj) {
            if (obj == null) {
                throw new NullPointerException();
            }
            this.obj = obj;
        }
Comment 4 dao 2010-04-25 13:46:56 UTC
Created attachment 97976 [details]
stacktrace
Comment 5 abajja 2010-04-30 18:30:37 UTC
Created attachment 98335 [details]
stacktrace

openinig an xml file
Comment 6 Petr Jiricka 2010-05-12 14:04:26 UTC
Created attachment 98855 [details]
stacktrace

Opening a pom file packaged in a ejb-jar file (under the target directory).
Comment 7 Exceptions Reporter 2010-05-14 13:13:42 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=165513
Comment 8 Jesse Glick 2010-05-26 19:20:33 UTC
Created attachment 99511 [details]
stacktrace

In Ant trunk sources, ran 'ant distribution', then opened distribution/binaries/apache-ant-1.8.2alpha-bin.zip!/apache-ant-1.8.2alpha/lib/ant.pom in editor.
Comment 9 athompson 2010-07-07 19:05:35 UTC
Created attachment 100666 [details]
stacktrace

From the "Files" window, I was inpecting the contents of a ".war" file.  I double-clicked on a "pom.xml" file packaged in the ".war" file to view it.  I got this error and the editor never finished loading.
Comment 10 aldobrucale 2010-07-16 16:00:33 UTC
Created attachment 100892 [details]
stacktrace

Didn't notice the exception
Comment 11 aldobrucale 2010-07-16 16:03:34 UTC
Created attachment 100893 [details]
stacktrace

Maven "Show Dependency Graph"
Comment 12 Jesse Glick 2010-07-20 19:42:52 UTC
Created attachment 100938 [details]
stacktrace

Opening: maven-embedder-3.0-beta-1.jar!/META-INF/maven/org.apache.maven/maven-embedder/pom.xml
Comment 13 Jesse Glick 2010-07-20 19:43:54 UTC
Serious bug to not be able to open a certain kind of file in the editor at all.
Comment 14 Jesse Glick 2010-07-22 21:04:47 UTC
core-main #1a6494276897
Comment 15 Quality Engineering 2010-07-24 03:38:18 UTC
Integrated into 'main-golden', will be available in build *201007240001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/1a6494276897
User: Jesse Glick <jglick@netbeans.org>
Log: #181009: NullPointerException at org.openide.util.lookup.InstanceContent$SimpleItem.<init>
Comment 16 Jaroslav Pospisil 2010-08-04 12:20:47 UTC
v.
Comment 17 Petr Suchomel 2010-10-18 09:17:42 UTC
Backported into release692 http://hg.netbeans.org/releases/rev/b40b72f7e4a3
Comment 18 Tomas Danek 2010-10-22 12:16:27 UTC
i was able to open a pom.xml from a jar file, using favorites view. Verified in patch2
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo